package com.hzs.activity.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.activity.base.AcBaseConfig;
import com.hzs.common.domain.activity.base.ext.AcBaseConfigExt;

import java.util.List;

/**
 * 活动基本配置表 服务类
 */
public interface IAcBaseConfigService extends IService<AcBaseConfig> {

    /**
     * 会员前端查询活动列表
     **/
    List<AcBaseConfigExt> queryBaseConfigList(Integer pkCountry, Long pkMember);

    /*
     *  查询订单详情
     **/
    AcBaseConfigExt queryBaseConfigDetail(Long pkId, Integer pkCountry);

    /**
     * 根据主键查询活动配置
     **/
    AcBaseConfig queryBaseConfigById(Long pkBaseId);

    /**
     * 根据主键删除活动配置
     *
     * @param pkBaseId   活动ID
     * @param pkModifyId 修改人ID
     * @return Boolean
     */
    Boolean deleteBaseConfigById(Long pkBaseId, Long pkModifyId);

    /**
     * 查询活动基础配置 + 配置要求
     *
     * @param pkId 活动ID
     * @return
     */
    AcBaseConfigExt queryBaseAndOther(Long pkId);

}
